import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { SlutredovisningFormService } from '../slutredovisning-form.service';
import { SlutredovisningFormStep3Component } from './slutredovisning-form-step3.component';

describe('SlutredovisningFormStep3Component', () => {
  let component: SlutredovisningFormStep3Component;
  let fixture: ComponentFixture<SlutredovisningFormStep3Component>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep3Component],
      imports: [HttpClientTestingModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep3Component);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
